/* 
//********************************
//Nom: Justin Belanger
//description: Le css du jeux 
//nom du programme: uno
//********************************
*/

/* affichage de page*/
html {
    box-sizing: border-box;
    background-color: #524882;
    font-family: 'Roboto Mono', monospace;
    overflow-y: hidden;
}

*, *::before, *::after {
    box-sizing: inherit;
}

div.table{
    min-height: 100vh ;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
}

/*affichage des boutons et le dev qui tien les boutons de changement de couleur*/
a#Back{
    position: fixed;
    background-color: #0b0d2e;
    border: #ded00d solid 3px;
    font-size: 2.5em;
    color: #ded00d;
    width: 1em;
    height: 1em;
    text-decoration: none;

    display: flex;
    align-items: center;
    justify-content: center;

    padding-bottom: .1em;
}

#New-card{
    position: fixed;
    top: 25%;
    right: 3%;
}

#color-picker{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#pick-vert{
    margin-top: 2em;
    height: 1em;
    width: 1em;
    background-color:#29c20e ;
}

#pick-jaune{
    margin-top: 2em;
    height: 1em;
    width: 1em;
    background-color:#f2dc18 ;
}

#pick-rouge{
    margin-top: 2em;
    height: 1em;
    width: 1em;
    background-color:#ff0303 ;
}

#pick-bleu{
    margin-top: 2em;
    height: 1em;
    width: 1em;
    background-color:#1a0ff5 ;
}

/*affichage des cartes*/
div.carte{
    transform-origin: bottom center;
    transition: all,.2s;
    
    display: flex;
    flex-direction: row;
    align-items: center;

    border: #fff solid 3px;
    border-radius: 15px;
    
    width: 4em;
    height: 6em;
}

div.carte.vert{
    background-color: #29c20e;
}

div.carte.jaune{
    background-color: #f2dc18;
}

div.carte.rouge{
    background-color: #ff0303;
}

div.carte.bleu{
    background-color: #1a0ff5;
}

div.carte.noir{
    background-color: #000;
    border: #ded00d solid 3px;
}

/*image pour la carte skip*/
img{
    text-shadow: -1.5px -1.5px 0 #000, 1.5px -1.5px 0 #000, -1.5px 1.5px 0 #000, 1.5px 1.5px 0 #000;
    height : 3em;
    width : 3em;
    margin :0 auto;
}

div p{
    text-shadow: -1.5px -1.5px 0 #000, 1.5px -1.5px 0 #000, -1.5px 1.5px 0 #000, 1.5px 1.5px 0 #000;
    color: #fff;
    margin: 0 auto;
    font-size: 2em;
}

/*affichage des dos de cartes*/
.carte.dos{
    background-color: #0b0d2e;
    border: #ded00d solid 3px;
    transform-origin: top center;
}

.carte.dos p{
    color: #ded00d;
    transform: rotate(-45deg);
}

/* rotate le texte sur le dos des cartes dans la main de cpu*/
div#hand-cpu p{
    transform: rotate(225deg);
}

/*affichage des div mains cpu/user*/
div#hand{
    max-width: 100vw;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
}

div#hand-cpu{
    max-width: 90vw;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
}


/*
Laffichage pour indiquer qui a ganger
*/
#win-div{
    position: fixed;
    height: 100vh;
    width: 100vw;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    z-index: 2;

    background-color: rgba(63, 209, 63, 0.5) ;
    
    font-size: 3em;
}

#win-div a , #lose-div a{
    text-decoration: none;
    background-color: rgba(10, 89, 31, 0.8);
    color:  #222;
    font-size: .5em;
    margin-top: 1em;
}


#lose-div{
    position: fixed;
    height: 100vh;
    width: 100vw;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    z-index: 2;

    background-color: rgba(163, 26, 26, 0.8) ;
    
    font-size: 3em;
}

/*
 Règle à ajouter pour tablette électronique
*/
@media (min-width: 700px){
    /*change le margin sur les cartes/ les mains*/
    div#hand, div#hand-cpu{
        margin-right: -50px;
    }

    div#hand div.carte,div#hand-cpu div.carte{

        margin-left: -50px;
    }

    /*change la grandeur des cartes/images dans les cartes*/
    div.carte{
        width: 6em;
        height: 9em;
    }

    div p{ 
    font-size: 2.5em;
    }

    img{
        height : 4em;
        width : 4em;
    }
}

/*
 Règle à ajouter pour ordinateur
*/
@media (min-width: 1200px){
    #New-card{
        top:40%;
    }
}
